#
# spec file for package python-pytest-git
#
# Copyright (c) 2020 SUSE LLC.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         skip_python2 1
Name:           python-pytest-git
Version:        1.7.0
Release:        bp155.2.9
Summary:        Git repository fixture for pytest
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/manahl/pytest-plugins
Source:         https://files.pythonhosted.org/packages/source/p/pytest-git/pytest-git-%{version}.tar.gz
BuildRequires:  %{python_module setuptools-git}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-GitPython
Requires:       python-pytest
Requires:       python-pytest-shutil
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module GitPython}
BuildRequires:  %{python_module pytest-shutil}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
Git repository fixture for py.test

%prep
%setup -q -n pytest-git-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc CHANGES.md README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Jan  7 2020 Todd R <toddrme2178@gmail.com>
- Disable python2 subpackage due to dependencies dropping python2.
* Mon Jun  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.7.0:
  * Support for pytest 4
* Thu Mar 21 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.6.0
